Subject: Re: Re : Re: [EDUC] Apprentissage code informatique : Qui doit s'en charger ?
From: Christophe Demko <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 May 2014 18:35:18 +0200
List-Id: <educ.april.org>

Malheureusement, nous ne sommes plus au temps de Pascal où le
scientifique était aussi technicien, agronome, philosophe,
mathématicien... Napoléon disait aussi qu'il y avait deux disciplines
fondamentales: le génie militaire et le génie civil.

Si l'enseignement au collège se différencie de l'enseignement du
primaire en confiant les cours à des spécialistes, ce n'est pas par
hasard. Sinon, pourquoi ne pas confier l'enseignement de la
programmation aux professeurs de français ou de langues (le langage
informatique est une langue avec son vocabulaire, sa grammaire)...

L'enseignement de la programmation dans le secondaire a toujours été
confié aux professeurs de mathématiques qui ont su lutter par leur
grosse influence pour qu'il n'y ait pas de CAPES d'informatique (il y a
juste une option informatique à l'agrégation de mathématiques qui ne
voit que le côté théorique des choses, façon maths discrètes). Leur
façon d'aborder la programmation conduit généralement à des méprises
dans la compréhension de ce qu'est une application logicielle. Je le
mesure à l'aune des étudiants que nous récupérons à BAC+1.

Concernant la suppression de la technologie dans le secondaire, ce n'est
pas ce que je demande.

Ch.D

Le 30/05/2014 13:45, [email-masked] a écrit :
> ----- Christophe Demko <[email-masked]> a écrit :
>> Pourquoi mettre en gras "les professeurs de technologies" et "tous types
>> d'enseignants" alors que les professeurs spécialisés en informatique
>> sont désirés par 79% des parents? Pour l'enseigner dans le supérieur,
>> l'enseignement de l'informatique couvre bien sûr une petite part de
>> technologie, mais elle couvre surtout une grande part qui a trait au
>> raisonnement, à la déduction, à la logique... Réduire l'enseignement de
>> l'informatique à une sous-branche de la technologie serait
>> catastrophique pour l'apprentissage de nos enfants.
> Bonjour,
>
> Je n'interviens pas sur le sondage, étant des plus critiques sur
> la démocratie d'opinions que j'apparente à une dictature médiatique ;
> mais sur ton post qui relève à mes yeux d'un argument d'autorité sans
> être démontré.
>
> Imagines-tu un seul instant des physiciens interdire d'étudier en
> technologie le fonctionnement d'une plaque à induction sous prétexte
> qu'elle s'appuie sur un principe scientifique - les courants de Foucault -
> qui ne seront abordés dans le cursus qu'en terminale S ? Et que dire des
> plaques de cuisson en fonte basées sur l'effet Joule ou du fonctionnement
> d'un réfrigérateur ?
>
> Ce qui est vrai pour les objets techniques - les objets physiques - l'est aussi
> pour les objets informatiques.
>
> Du point de vue de la pure science informatique, peu importe que l'information
> soit codée sur des lettres ou sur des 1 ou zéro. Nous sommes d'accord.
> Il n'en demeure pas moins que les élèves vivent dans un environnement technologique
> dont ils ne perçoivent pas la clé et composés de boîtes noires.
>
> La notion de pixel, par exemple, ne t'en déplaise n'est pas une notion
> scientifique, c'est une notion technologique qui renvoie à du hardware et
> du software et qui s'appuie sur le plan du hardware à la synthèse additive 
> mise en lumière par Thomas Young, préfigurant ainsi la mécanique quantique ;
> son codage sur 3 octets s'inscrit également dans l'histoire technologique
> de l'informatique, de son ingénierie. C'est IBM qui a imposé l'octet
> pour fabriquer les premières machines compatibles - jetant les bases,
> comme l'indique le livre blanc du logiciel libre, de l'ingénierie
> informatique en séparant le hardware du software.
>
> Moi je veux bien qu'on enseigne aux mômes les bases de la logique formelle,
> de la déduction, de la traduction des algorithmes en langages
> de programmation mais d'opposer comme tu le fais la science informatique
> à la technologie informatique me semble purement idéologique.
>
> Tu es enseignant à l'université. Très bien, je l'ai été aussi et une 
> grande partie des fondateurs de l'April furent mes étudiants et pour
> certains le directeur de maîtrise ou de DESS.
>
> Et je me souviens encore, qu'un grand nombre d'étudiants non proches de 
> ce qui allait devenir l'April programmaient en C et utilisant le compilateur 
> proprio de Microsoft ou rendaient des travaux en format .doc. 
>
> Or je suis également professeur de technologie en collège. Et je pense
> être peut être le seul en France qui aurait pu rester en fac en tant
> que professeur associé à avoir désirer retourner en collège.
>
> Et je te dis ceci : 
>
> a) il ne s'agit pas de réduire l'enseignement de la science informatique
> à un enseignement de la technologie ;
>
> b) la technologie n'est ni une sous-branche des mathématiques, ni une sous-branche
> de la physique, ni une sous-branche de la sociologie des modes de production,
> ni une sous-branche de la science informatique, pas plus que la science
> informatique est une sous-branche de l'informatique. 
>
> c) L'apprentissage du code comme le voient les multinationales du logiciel
> privateur alliés de circonstance à certains membres de l'open source, dans
> les modèles qui sont proposés, s'appuie surtout des langages interprétés
> qui occultent le mode de production des logiciels compilés ; interdisant
> de ce fait de mettre en lumière ce qui distingue un logiciel libre d'un
> logiciel privateur ;
>
> d) il n'est pas tolérable comme l'insinue une certaine campagne de presse
> reprenant les arguments de certains de nos amis de l'EPI d'introduire
> une nouvelle discipline science de l'informatique dans le cursus en 
> en supprimant une autre : la technologie.
>
> A suivre.
>
> Librement,
> Charlie

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ